[users] rpmforge yum updates not working properly?

Andrew Masterson masterson.andrew at gmail.com
Mon Apr 6 04:06:18 CEST 2009


see also:
http://www.centos.org/modules/newbb/viewtopic.php?topic_id=19497&forum=38

running CentOS 5.3, x86_64

After adding rpmforge, and trying to "yum install vlc", the output I get is
below. (and the rpmforge version is fairly old)

Also seeing broken yum installs on mplayer, fontforge.  Other installs seem
to be mostly working.

-------------------------------------------------------------------

[root at sisyphus etc]# yum install vlc
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* epel: www.muug.mb.ca
* rpmforge: fr2.rpmfind.net
* base: centos.arcticnetwork.ca
* updates: www.muug.mb.ca
* addons: centos.arcticnetwork.ca
* extras: mirror.stanford.edu
454 packages excluded due to repository priority protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package vlc.x86_64 0:0.8.6a-2.fc3.rf set to be updated
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6)(64bit) for
package: vlc
--> Processing Dependency: libwx_baseu-2.6.so.0(WXU_2.6)(64bit) for package:
vlc
--> Processing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6)(64bit) for
package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2)(64bit) for
package: vlc
--> Processing Dependency: liblirc_client.so.0()(64bit) for package: vlc
--> Processing Dependency: libfaac.so.0()(64bit) for package: vlc
--> Processing Dependency: libmodplug.so.0()(64bit) for package: vlc
--> Processing Dependency: libslang-utf8.so.1()(64bit) for package: vlc
--> Processing Dependency: libwx_baseu_net-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libaa.so.1()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_qa-2.6.so.0()(64bit) for package: vlc
--> Processing Dependency: libxosd.so.2()(64bit) for package: vlc
--> Processing Dependency: libwx_baseu_xml-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libmpeg2.so.0()(64bit) for package: vlc
--> Processing Dependency: libebml.so.0()(64bit) for package: vlc
--> Processing Dependency: libcdio.so.7()(64bit) for package: vlc
--> Processing Dependency: libfaad.so.0()(64bit) for package: vlc
--> Processing Dependency: libopendaap.so.0()(64bit) for package: vlc
--> Processing Dependency: libiso9660.so.5()(64bit) for package: vlc
--> Processing Dependency: libdvdnav.so.4()(64bit) for package: vlc
--> Processing Dependency: libFLAC.so.4()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libdvbpsi.so.4()(64bit) for package: vlc
--> Processing Dependency: libfribidi.so.0()(64bit) for package: vlc
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_baseu-2.6.so.0()(64bit) for package: vlc
--> Processing Dependency: libdbus-1.so.0()(64bit) for package: vlc
--> Processing Dependency: libmatroska.so.0()(64bit) for package: vlc
--> Processing Dependency: libvcdinfo.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_html-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libhal.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_adv-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: liba52.so.0()(64bit) for package: vlc
--> Processing Dependency: libmpcdec.so.3()(64bit) for package: vlc
--> Processing Dependency: libid3tag.so.0()(64bit) for package: vlc
--> Processing Dependency: libx264.so.54()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_xrc-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libSDL_image-1.2.so.0()(64bit) for package: vlc
--> Processing Dependency: libmad.so.0()(64bit) for package: vlc
--> Processing Dependency: libcddb.so.2()(64bit) for package: vlc
--> Processing Dependency: libartsc.so.0()(64bit) for package: vlc
--> Running transaction check
---> Package mpeg2dec.x86_64 0:0.4.0-8b.fc3.rf set to be updated
---> Package libcddb.x86_64 0:1.3.0-1.fc3.rf set to be updated
---> Package vlc.x86_64 0:0.8.6a-2.fc3.rf set to be updated
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6)(64bit) for
package: vlc
--> Processing Dependency: libwx_baseu-2.6.so.0(WXU_2.6)(64bit) for package:
vlc
--> Processing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6)(64bit) for
package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2)(64bit) for
package: vlc
--> Processing Dependency: libwx_baseu_net-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libwx_gtk2u_qa-2.6.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_baseu_xml-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libFLAC.so.4()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libwx_baseu-2.6.so.0()(64bit) for package: vlc
--> Processing Dependency: libdbus-1.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_html-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libhal.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_adv-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libx264.so.54()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_xrc-2.6.so.0()(64bit) for package:
vlc
---> Package lame.x86_64 0:3.97-1.fc3.rf set to be updated
---> Package libopendaap.x86_64 0:0.4.0-2.fc3.rf set to be updated
---> Package libebml.x86_64 0:0.7.7-1.fc3.rf set to be updated
---> Package vcdimager.x86_64 0:0.7.23-5.fc3.rf set to be updated
---> Package libcdio.x86_64 0:0.78.2-5.el5 set to be updated
---> Package libmpcdec.x86_64 0:1.2.2-2.fc3.rf set to be updated
---> Package xosd.x86_64 0:2.2.14-1.fc3.rf set to be updated
---> Package compat-slang.x86_64 0:1.4.9-27.2.2 set to be updated
---> Package fribidi.x86_64 0:0.10.7-5.1 set to be updated
---> Package arts.x86_64 8:1.5.4-1 set to be updated
---> Package SDL_image.x86_64 0:1.2.5-4.el5 set to be updated
---> Package faac.x86_64 0:1.25-2.fc3.rf set to be updated
--> Processing Dependency: libmp4v2.so.0()(64bit) for package: faac
---> Package libmad.x86_64 0:0.15.1b-4.fc3.rf set to be updated
---> Package libdvdnav.x86_64 0:4.1.3-1.el5 set to be updated
--> Processing Dependency: libdvdread.so.4()(64bit) for package: libdvdnav
---> Package a52dec.x86_64 0:0.7.4-8.fc3.rf set to be updated
---> Package lirc.x86_64 0:0.6.6-4.1.fc3.rf set to be updated
---> Package libdvbpsi.x86_64 0:0.1.5-2.fc3.rf set to be updated
---> Package aalib.x86_64 0:1.4.0-5.1.fc3.rf set to be updated
---> Package libmodplug.x86_64 1:0.8.4-1.el5 set to be updated
---> Package faad2.x86_64 0:2.5-1.fc3.rf set to be updated
---> Package libid3tag.x86_64 0:0.15.1b-5.el5 set to be updated
---> Package libmatroska.x86_64 0:0.8.0-1.1.fc3.rf set to be updated
--> Running transaction check
---> Package vlc.x86_64 0:0.8.6a-2.fc3.rf set to be updated
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6)(64bit) for
package: vlc
--> Processing Dependency: libwx_baseu-2.6.so.0(WXU_2.6)(64bit) for package:
vlc
--> Processing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6)(64bit) for
package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2)(64bit) for
package: vlc
--> Processing Dependency: libwx_baseu_net-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libwx_gtk2u_qa-2.6.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_baseu_xml-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libFLAC.so.4()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_core-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libwx_baseu-2.6.so.0()(64bit) for package: vlc
--> Processing Dependency: libdbus-1.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_html-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libhal.so.0()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_adv-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libdvdread.so.3()(64bit) for package: vlc
--> Processing Dependency: libx264.so.54()(64bit) for package: vlc
--> Processing Dependency: libwx_gtk2u_xrc-2.6.so.0()(64bit) for package:
vlc
--> Processing Dependency: libdvdread.so.3()(64bit) for package: vlc
---> Package libdvdread.x86_64 0:4.1.3-1.el5 set to be updated
---> Package libmp4v2.x86_64 0:1.5.0.1-6.el5 set to be updated
--> Finished Dependency Resolution
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libFLAC.so.4()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libx264.so.54()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_baseu_net-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libdbus-1.so.0()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_baseu_xml-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libdvdread.so.3()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_baseu-2.6.so.0(WXU_2.6)(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_core-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6)(64bit) is needed
by package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2)(64bit) is
needed by package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libhal.so.0()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_html-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_qa-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_baseu-2.6.so.0()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_xrc-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6)(64bit) is needed
by package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libdvdread.so.3()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
vlc-0.8.6a-2.fc3.rf.x86_64 from rpmforge has depsolving problems
--> Missing Dependency: libwx_gtk2u_adv-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libFLAC.so.4()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_html-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_baseu_net-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libdvdread.so.3()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6)(64bit) is
needed by package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_baseu-2.6.so.0(WXU_2.6)(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libhal.so.0()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_baseu-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libx264.so.54()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_baseu_xml-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_xrc-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_core-2.6.so.0(WXU_2.6.2)(64bit) is
needed by package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_adv-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_adv-2.6.so.0(WXU_2.6)(64bit) is
needed by package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_core-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libwx_gtk2u_qa-2.6.so.0()(64bit) is needed by
package vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libdbus-1.so.0()(64bit) is needed by package
vlc-0.8.6a-2.fc3.rf.x86_64 (rpmforge)


--------------------------------------------------------

[root at sisyphus ~]# yum install fontforge
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * epel: www.muug.mb.ca
 * rpmforge: fr2.rpmfind.net
 * base: centos.arcticnetwork.ca
 * updates: www.muug.mb.ca
 * addons: centos.arcticnetwork.ca
 * extras: mirror.stanford.edu
1469 packages excluded due to repository priority protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package fontforge.x86_64 0:0.0-0.cvs20050502.1.fc3.rf set to be updated
--> Processing Dependency: libuninameslist.so.0()(64bit) for package:
fontforge
--> Processing Dependency: libxkbui.so.1()(64bit) for package: fontforge
--> Running transaction check
---> Package fontforge.x86_64 0:0.0-0.cvs20050502.1.fc3.rf set to be updated
--> Processing Dependency: libxkbui.so.1()(64bit) for package: fontforge
---> Package libuninameslist.x86_64 0:0.20030713-0.1.fc3.rf set to be
updated
--> Finished Dependency Resolution
fontforge-0.0-0.cvs20050502.1.fc3.rf.x86_64 from rpmforge has depsolving
problems
  --> Missing Dependency: libxkbui.so.1()(64bit) is needed by package
fontforge-0.0-0.cvs20050502.1.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libxkbui.so.1()(64bit) is needed by package
fontforge-0.0-0.cvs20050502.1.fc3.rf.x86_64 (rpmforge)


--------------------------------------------

[root at sisyphus ~]# yum install mplayer
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
 * epel: www.muug.mb.ca
 * rpmforge: fr2.rpmfind.net
 * base: centos.arcticnetwork.ca
 * updates: www.muug.mb.ca
 * addons: centos.arcticnetwork.ca
 * extras: mirror.stanford.edu
1469 packages excluded due to repository priority protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package mplayer.x86_64 0:1.0-0.33.rc1.fc3.rf set to be updated
--> Processing Dependency: mplayer-fonts for package: mplayer
--> Processing Dependency: libxvidcore.so.4()(64bit) for package: mplayer
--> Processing Dependency: libenca.so.0()(64bit) for package: mplayer
--> Processing Dependency: libmpcdec.so.3()(64bit) for package: mplayer
--> Processing Dependency: libfaac.so.0()(64bit) for package: mplayer
--> Processing Dependency: libdvdnav.so.4()(64bit) for package: mplayer
--> Processing Dependency: libmp3lame.so.0()(64bit) for package: mplayer
--> Processing Dependency: libfribidi.so.0()(64bit) for package: mplayer
--> Processing Dependency: liblzo.so.1()(64bit) for package: mplayer
--> Processing Dependency: libartsc.so.0()(64bit) for package: mplayer
--> Processing Dependency: libmad.so.0()(64bit) for package: mplayer
--> Processing Dependency: libx264.so.54()(64bit) for package: mplayer
--> Running transaction check
---> Package mplayer.x86_64 0:1.0-0.33.rc1.fc3.rf set to be updated
--> Processing Dependency: libmpcdec.so.3()(64bit) for package: mplayer
--> Processing Dependency: libx264.so.54()(64bit) for package: mplayer
---> Package mplayer-fonts.noarch 0:1.1-3.0.rf set to be updated
---> Package enca.x86_64 0:1.9-3.fc3.rf set to be updated
--> Processing Dependency: recode for package: enca
--> Processing Dependency: librecode.so.0()(64bit) for package: enca
---> Package lzo.x86_64 0:1.08-4.1.fc3.rf set to be updated
---> Package xvidcore.x86_64 0:1.1.2-1.fc3.rf set to be updated
---> Package lame.x86_64 0:3.97-1.fc3.rf set to be updated
---> Package libmad.x86_64 0:0.15.1b-4.fc3.rf set to be updated
---> Package libdvdnav.x86_64 0:0.1.10-3.fc3.rf set to be updated
---> Package fribidi.x86_64 0:0.10.7-5.1 set to be updated
---> Package arts.x86_64 8:1.5.4-1 set to be updated
---> Package faac.x86_64 0:1.25-2.fc3.rf set to be updated
--> Processing Dependency: libmp4v2.so.0()(64bit) for package: faac
--> Running transaction check
---> Package mplayer.x86_64 0:1.0-0.33.rc1.fc3.rf set to be updated
--> Processing Dependency: libmpcdec.so.3()(64bit) for package: mplayer
--> Processing Dependency: libx264.so.54()(64bit) for package: mplayer
---> Package recode.x86_64 0:3.6-22.el5.centos set to be updated
---> Package faad2.x86_64 0:2.0-8.fc3.rf set to be updated
--> Finished Dependency Resolution
mplayer-1.0-0.33.rc1.fc3.rf.x86_64 from rpmforge has depsolving problems
  --> Missing Dependency: libmpcdec.so.3()(64bit) is needed by package
mplayer-1.0-0.33.rc1.fc3.rf.x86_64 (rpmforge)
mplayer-1.0-0.33.rc1.fc3.rf.x86_64 from rpmforge has depsolving problems
  --> Missing Dependency: libx264.so.54()(64bit) is needed by package
mplayer-1.0-0.33.rc1.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libx264.so.54()(64bit) is needed by package
mplayer-1.0-0.33.rc1.fc3.rf.x86_64 (rpmforge)
Error: Missing Dependency: libmpcdec.so.3()(64bit) is needed by package
mplayer-1.0-0.33.rc1.fc3.rf.x86_64 (rpmforge)
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.repoforge.org/pipermail/users/attachments/20090405/e6f04ef6/attachment-0004.html>


More information about the users mailing list